# Magento_Email module

Magento_Email module enables you to manage email templates.

This module adds the page to create/edit email template at the admin side and possibility add/update templates programmatically.

## Installation details

The Magento_Email module is one of the base Magento 2 modules. You cannot disable or uninstall this module.

For information about a module installation in Magento 2, see [Enable or disable modules](https://experienceleague.adobe.com/docs/commerce-operations/installation-guide/tutorials/manage-modules.html).

## Extensibility

Extension developers can interact with the Magento_Email module. For more information about the Magento extension mechanism, see [Magento plugins](https://developer.adobe.com/commerce/php/development/components/plugins/).

[The Magento dependency injection mechanism](https://developer.adobe.com/commerce/php/development/components/dependency-injection/) enables you to override the functionality of the Magento_Email module.

### Layouts

The module introduces layout handles in the `view/adminhtml/layout` directory.

For more information about a layout in Magento 2, see the [Layout documentation](https://developer.adobe.com/commerce/frontend-core/guide/layouts/).

### UI components

You can extend product and category updates using the configuration files located in the `view/adminhtml/ui_component` directory.

For information about a UI component in Magento 2, see [Overview of UI components](https://developer.adobe.com/commerce/frontend-core/ui-components/).

## Additional information

For information about significant changes in patch releases, see [2.4.x Release information](https://experienceleague.adobe.com/docs/commerce-operations/release/notes/overview.html).

More information about email templates are at articles:

- [Marketing/Email](https://experienceleague.adobe.com/docs/commerce-admin/systems/communications/email-templates.html)
- [Email templates list](https://experienceleague.adobe.com/docs/commerce-admin/systems/communications/email-templates.html#email-template-list)
- [Customize email templates](https://developer.adobe.com/commerce/frontend-core/guide/templates/email/)
- [Migrating custom email templates](https://developer.adobe.com/commerce/frontend-core/guide/templates/email-migration/#nested-arrays)
